Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HActionsSetupData Class Reference
Device Model

This class is used to specify information that can be used to setup HServerAction instances or generally validate the actions of a UPnP service. More...

`#include <HActionsSetupData>`

List of all members.

## Public Member Functions
| HActionsSetupData ()
bool | insert (const HActionSetup &newItem)
bool | remove (const QString &name)
HActionSetup | get (const QString &name) const
bool | setInclusionRequirement (const QString &name, HInclusionRequirement incReq)
bool | contains (const QString &name) const
QSet< QString > | names () const
qint32 | size () const
bool | isEmpty () const
void | clear ()

## Detailed Description

This class is used to specify information that can be used to setup HServerAction instances or generally validate the actions of a UPnP service.

Remarks:
  This class is not thread-safe.

See also:
  HActionSetup

## Constructor & Destructor Documentation

HActionsSetupData | ( |  | ) |

Creates a new, empty instance.

See also:
  isEmpty()

## Member Function Documentation

bool insert | ( | const HActionSetup & | newItem | ) |

Inserts a new item.

Parameters:

  newItem | specifies the item to be added.

Returns:
  true in case the item was added. The item will not be added if the instance already contains an item with the same name as newItem or the newItem is invalid.

See also:
  remove()

bool remove | ( | const QString & | name | ) |

Removes an existing item.

Parameters:

  name | specifies the name of the item to be removed.

Returns:
  true in case the item was found and removed.

See also:
  insert()

HActionSetup get | ( | const QString & | name | ) | const

Retrieves an action setup object.

Parameters:

  name | specifies the name of the item to be retrieved.

Returns:
  The item with the specified name. Note that the returned item is invalid, i.e. HActionSetup::isValid() returns false in case no item with the specified name was found.

See also:
  contains()

bool setInclusionRequirement | ( | const QString & | name,
|  | HInclusionRequirement | incReq
| ) |  |

This is a convenience method for setting the inclusion requirement element of an item.

Parameters:

  name | specifies the name of the item.
  incReq | specifies the inclusion requirement value.

Returns:
  true when the item was found and the inclusion requirement element was set.

bool contains | ( | const QString & | name | ) | const`[inline]`

Indicates if the instance contains an item with the specified name.

Parameters:

  name | specifies the name of the item.

Returns:
  true when the instance contains an item with the specified name.

See also:
  get()

QSet< QString > names | ( |  | ) | const

Returns the names of the contained items.

Returns:
  The names of the contained items.

qint32 size | ( |  | ) | const`[inline]`

Returns the number of contained items.

Returns:
  The number of contained items.

bool isEmpty | ( |  | ) | const`[inline]`

Indicates if the object is empty.

Returns:
  true in case the instance has no items.

void clear | ( |  | ) | `[inline]`

Removes every contained object.